Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.annotation.compiler
Class AnnotationDocletTag

    java.lang.Object
      org.jboss.aop.annotation.compiler.AnnotationDocletTag

All Implemented Interfaces:
  com.thoughtworks.qdox.model.DocletTag, Serializable

public class AnnotationDocletTag
extends Object
implements com.thoughtworks.qdox.model.DocletTag

Comment

Version:
  $Revision: 1.3 $
Author:
  Bill Burke
See Also:
  Serialized Form

Constructor Summary
`AnnotationDocletTag(String name, String value)`
`AnnotationDocletTag(String name, String value, int lineNumber)`

Method Summary
`ASTAnnotation` | `getAnnotation()`
`com.thoughtworks.qdox.model.AbstractJavaEntity` | `getContext()`
`int` | `getLineNumber()`
`String` | `getName()`
`String` | `getNamedParameter(String key)`
`Map` | `getNamedParameterMap()`
`String[]` | `getParameters()`
`String` | `getValue()`
`void` | `setContext(com.thoughtworks.qdox.model.AbstractJavaEntity owner)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnnotationDocletTag

    public AnnotationDocletTag(String name,
                               String value,
                               int lineNumber)

### AnnotationDocletTag

    public AnnotationDocletTag(String name,
                               String value)

Method Detail

### getAnnotation

    public ASTAnnotation getAnnotation()

### getName

    public String getName()

  Specified by:
    `getName` in interface `com.thoughtworks.qdox.model.DocletTag`

### getValue

    public String getValue()

  Specified by:
    `getValue` in interface `com.thoughtworks.qdox.model.DocletTag`

### getParameters

    public String[] getParameters()

  Specified by:
    `getParameters` in interface `com.thoughtworks.qdox.model.DocletTag`

### getNamedParameterMap

    public Map getNamedParameterMap()

  Specified by:
    `getNamedParameterMap` in interface `com.thoughtworks.qdox.model.DocletTag`

### getNamedParameter

    public String getNamedParameter(String key)

  Specified by:
    `getNamedParameter` in interface `com.thoughtworks.qdox.model.DocletTag`

### getLineNumber

    public int getLineNumber()

  Specified by:
    `getLineNumber` in interface `com.thoughtworks.qdox.model.DocletTag`

### getContext

    public final com.thoughtworks.qdox.model.AbstractJavaEntity getContext()

  Specified by:
    `getContext` in interface `com.thoughtworks.qdox.model.DocletTag`

### setContext

    public void setContext(com.thoughtworks.qdox.model.AbstractJavaEntity owner)

  Specified by:
    `setContext` in interface `com.thoughtworks.qdox.model.DocletTag`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.